import styled, { css } from 'styled-components'
import { colours } from '../../assets/theme'
import burb from '../../assets/img/IconSM.png'
import Button from '../Button'

export const OverlayWrapper = styled.div`
  z-index: 2;
  position: fixed;
  height: 100vh;
  width: 100vw;
  /* pointer-events: none; */
`
export const TopLeft = styled.div`
  opacity: 0;
  transform: translateY(-20%);
  transition: all 0.2s ease-in-out;
  padding: 2em;
  ${props =>
    props.$active &&
    css`
      transform: translateY(0%);
      opacity: 1;
    `};

  p,
  svg {
    backdrop-filter: blur(20px);
    background-color: ${colours.midnight}40;
    padding: 4px 8px;
    display: inline-block;
    margin-right: 45%;
  }
`

export const InfoButton = styled(Button)`
  opacity: 0.001;
  transform: translateY(
    ${props => (props.postition === 'bl' ? '20%' : '-20%')}
  );
  transition: all 0.2s ease-in-out;
  transition-delay: 0.2s;
  position: fixed;
  right: ${props => (props.postition === 'bl' ? 'initial' : '32px')};
  top: ${props => (props.postition === 'bl' ? 'initial' : '32px')};
  bottom: ${props => (props.postition === 'bl' ? '0' : 'initial')};
  left: ${props => (props.postition === 'bl' ? '32px' : 'initial')};
  z-index: 100;
  width: auto;
  background-color: #ffffffba;

  ${props =>
    props.$active &&
    css`
      transform: translateY(0%);
      opacity: 1;
    `};

  &:hover {
    opacity: 0.7;
  }
`
